Седат Игдеджи, Sedat Igdeci, Cedat Igdeci, Bekir Igdeci, Lidiya Igdeci, Elizaveta Igdeci

Web-scripts

Web-scrips allows installing content management systems (CMS), client relationship management (CRM), and many other software applications. 

Manage web-scripts


To see a list of available web-scripts go to Web-server settings →  Web-scripts:

  • click on List to see all versions of the script. You can Install, Allow, and Forbid them for users. You can select a Default version that will be installed when a user selects  Quick installation. For more information please refer to the article Install a web-script;
  • click on Update to update the list of available web-scripts. ISPmanager downloads the files from the connected repositories and saves information about them in the database. You can add and delete the scripts from the list;
  • users can install only those scripts that their administrator has enabled for them. Click on Allowed to see such scripts.

When you install a script for the first time, the required packages will be uploaded to the server and installed in the directory that the user has specified. When the user installs it next time, the uploaded package will be applied. 

Web-script repository 


ISPmanager supports scripts Application Package Standard (APS) 1.0, 1.1, 1.2. Read more at the official website. The APS official repository is used by default.  To connect your own repository, add the following path in the ISPmanager configuration file (the default location is /usr/local/mgr5/etc/ispmgr.conf):

ApsExtRepository <path to repository XML-description>

For example:

ApsExtRepository http://my.web.aps/repo.xml

Fine-tuning 


Edit the file /usr/local/mgr5/etc/templates/aps_settings.xml.

Example of the aps_settings.xml file
<doc>
  <imagemapping defimg="aps.png">
    <apsimg name="Drupal">drupal.png</apsimg>
    <apsimg name="joomla">joomla.png</apsimg>
    <apsimg name="WordPress">wordpress.png</apsimg>
    <apsimg name="Prestashop">prestashop.png</apsimg>
    <apsimg name="phpBB">phpbb.png</apsimg>
  </imagemapping>
  <updaterules>
    <onupdate name="Drupal" type="latest"/>
    <onupdate name="joomla" type="latest" quantity="1"/>
    <onupdate name="WordPress"/>
    <onupdate name="Prestashop" quantity="2"/>
    <onupdate name="phpBB" force="yes"/>
  </updaterules>
  <defverrules>
    <defver name="Drupal"/>
    <defver name="joomla" type="latest"/>
    <defver name="WordPress"/>
    <defver name="Prestashop"/>
    <defver name="phpBB"/>
  </defverrules>
</doc>

The “imagemapping” section describes web-script icons. They are displayed on the user level in WWW → Web-scripts and  WWW → WWW-domains → Scripts. The “defimg” attribute defines a default icon that will be used if the icon corresponding to the script name is not found. The image should be located in the /usr/local/mgr5/skins/common/img directory of the control panel and have the format: 32*32 pixels, png. Every “apsimg” element contains the name of the icon that can be used for the web-script, which name is specified in the “name” attribute.

The “updaterules” section defines update rules for a web-script. Every “onupdate” element contains an update rule for the web-script. The “onupdate” attribute elements:

  • name — the name of the web-script this rule will be applied to;
  • type — automatic selection type. Possible values: “latest” — use the latest versions available), “earliest” — use the oldest versions, “definite” — select a specific version. If the “definite” attribute is used in the “onupdate” element you should specify the web-script version. E.g:
The aps_settings.xml file
<onupdate name="Drupal" type="definite">7.31-36</onupdate>

If the type is not specified. the “latest” will be used by default;

  • quantity — the number of web-script packages. It can be used, if “type” is “latest” or “earliest” if the value is more than 1, the specified number of packages will be available by default. The combination of type=”latest” and quantity=”3″ allows using the last three versions of web-scripts. 1 is used by default if the value is not specified; 
  • force — if this attribute is not specified, rules are applied only when a list of packages of a certain web-script does not contain the packages available to users. If the attribute value is  “yes” (force=”yes”), package versions can be redefined based on the rule, upon every update. Versions that were available to users before this operation was performed, will become inaccessible. 

The “defverrules” section describes how the default package version is selected from the list. Every “defver” element contains a rule for automatic selection of the default version for a web-script, which name is specified in the “name ” attribute.Attributes of the “defver” element:

  • name — the name of the web-script this rule will be applied to;
  • type — automatic selection type. Possible values: “latest” — use the latest versions available), “earliest” — use the oldest versions, “definite” — select a specific version. If the “definite” attribute is used in the “onupdate” element you should specify the web-script version. E.g:
The aps_settings.xml file
<onupdate name="Drupal" type="definite">7.31-36</onupdate>

If the type is not specified. the “latest” will be used by default;

The rules from “defverrules” are also applied when the administrator wants to hide web-scripts from users. For example, after he has hidden a web-script, a few web-scripts may still be available to users, so one of them will be used as a default script according to the rules in the section “defverrules”.

info@mustanhost.com
8.00-20.00
Седат Игдеджи, Sedat Igdeci, Cedat Igdeci, Bekir Igdeci, Lidiya Igdeci, Elizaveta Igdeci